﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TBS1072B-EDU: (1 year) VER VISA /9500
DATE:                  2018-09-07 16:27:29
AUTHOR:                Fluke
REVISION:              $Revision: 25087 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       156
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#      PP
#
#  Source(s):
#      TBS1000B and TBS1000B-EDU Series Oscilloscopes
#      Specifications and Performance Verification
#      Technical Reference, PN 077-1025-01, Revision B.*
#      * The tolerances used by this procedure were taken from the published
#      specifications table and is specified below.
#
#  Compatibility:
#      MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#      See "Sub Tek TBS1000B VER Required Equipment IEEE /9500"
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         40MH                         1Vpp           LS    S
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                                     V

  1.005  IF           NOT(VERSIONCHECK("8.0"))
  1.006  END
  1.007  ENDIF

  1.008  CALL         Sub Display Copyright
  1.009  CALL         Sub High Voltage Safety Warning
  1.010  CALL         Sub Select Failed Test Mode
  1.011  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.012  DISP         Ensure a minimum DUT warm-up time of at least
  1.012  DISP         10 minutes has been allowed to elapse, prior
  1.012  DISP         to beginning verification.

  1.013  HEAD         COMMUNICATION SETUP
  1.014  TARGET
  1.015  CALL         Sub Tek TBS1000B-EDU USB Remote Interface Connection
  1.016  VISA         *RST

  1.017  HEAD         DUT IDENTIFICATION
  1.018  MATH         @DUT_Model = "TBS 1072B-EDU"
  1.019  MATH         @DUT_Manufacturer = "Tektronix"
  1.020  CALL         Sub IEEE-488.2 *IDN? VISA
  1.021  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.022  JMPL         END                          @Abort

  1.023  CALL         Sub Tek TBS1000B/1000B-EDU Specifications
  1.024  CALL         Sub Tek TBS1000B VER Required Equipment IEEE /9500
  1.025  JMPL         END                          @Abort

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.026  MATH         @IsMultiHead = 0
  1.027  CALL         Sub Tek TBS1000B/1000B-EDU Self-Test VISA
  1.028  JMPL         END                          @Abort
  1.029  CALL         Sub Tek TBS1000B/1000B-EDU Sig Path Comp Cal VISA
  1.030  JMPL         END                          @Abort

  1.031  MATH         @Chan = 1
  1.032  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) DCV Meas VISA /9500
  1.033  JMPL         BANDWIDTH_CH1

  1.034  LABEL        DCV_CH2
  1.035  MATH         @Chan = 2
  1.036  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) DCV Meas VISA /9500
  1.037  JMPL         BANDWIDTH_CH2

  1.038  LABEL        BANDWIDTH_CH1
  1.039  MATH         @Chan = 1
  1.040  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) Bandwidth VISA /9500
  1.041  JMPL         TRIG_CH1

  1.042  LABEL        BANDWIDTH_CH2
  1.043  MATH         @Chan = 2
  1.044  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) Bandwidth VISA /9500
  1.045  JMPL         TRIG_CH2

  1.046  LABEL        TRIG_CH1
  1.047  MATH         @Chan = 1
  1.048  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) Trig Sens VISA /9500
  1.049  JMPL         VERTICAL_POSITION_CH1

  1.050  LABEL        TRIG_CH2
  1.051  MATH         @Chan = 2
  1.052  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) Trig Sens VISA /9500
  1.053  JMPL         VERTICAL_POSITION_CH2

  1.054  LABEL        EXT_TRIG_CH1
  1.055  MATH         @Chan = 1
  1.056  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) ExtTrig VISA /9500
  1.057  JMPL         DCV_CH2

  1.058  LABEL        EXT_TRIG_CH2
  1.059  MATH         @Chan = 2
  1.060  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) ExtTrig VISA /9500
  1.061  JMPL         END

  1.062  LABEL        SAMPLE_RATE_DELAY_TIME
  1.063  MATH         @Chan = 1
  1.064  CALL         Sub Tek TBS1000B-EDU (1 yr) Sample Rate VISA /9500
  1.065  JMPL         EXT_TRIG_CH1

  1.066  LABEL        VERTICAL_POSITION_CH1
  1.067  MATH         @Chan = 1
  1.068  CALL         Sub Tek TBS1000B-EDU (1 yr) Vertical Pos VISA /9500
  1.069  JMPL         SAMPLE_RATE_DELAY_TIME

  1.070  LABEL        VERTICAL_POSITION_CH2
  1.071  MATH         @Chan = 2
  1.072  CALL         Sub Tek TBS1000B-EDU (1 yr) Vertical Pos VISA /9500
  1.073  JMPL         EXT_TRIG_CH2

  1.074  LABEL        END

  1.075  IF           @Abort
  1.076  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.077  ENDIF

  1.078  VISA         *RST
  1.079  END
